@REM ############################################################# TERATERM.CMD
@REM Purpose...: Start/Kill TERATERM
@REM Input.....: %1: /KILL: Terminate running instances of TTPMACRO & TERATERM
@REM                 data path, teraterms log and file dirs are set to this
@REM Version...: 2024.12.16
@REM ##########################################################################

:TT_ENV
  @ECHO OFF
  SET TTEXE=%AxPrograms%\TeraTerm\TTERMPRO.EXE
  SET TTINI=%TEMP%\APPLEIITT.INI
  SET TTDAT=%1

  IF "%1"=="/KILL" GOTO TT_KILLTT

@REM ======================================== check if TeraTerm already running
:TT_RUN
  SET TTTMP=
  FOR /f %%I IN ('TASKLIST /FI "IMAGENAME eq TTERMPRO.EXE"') DO SET TTTMP=%%I
  IF "%TTTMP%" == "" GOTO TT_KILL
  APPACTIVATE.EXE "Terminal VT"
  GOTO TT_EXIT

@REM ======================================= kill tasks using the same COM port
:TT_KILL
  TASKKILL /F /IM HTERM.EXE /T >NUL

@REM =========================================================== start TeraTerm
:TT_START  

  @REM ------------------------------------------------------- create .INI file
  ECHO [Tera Term]                 >  %TTINI%
  ECHO Version=2.3                 >> %TTINI%
  ECHO Language=English            >> %TTINI%
  ECHO Port=serial                 >> %TTINI%
  ECHO Title=Epson PX-8 Terminal   >> %TTINI%
  ECHO VTPos=258,112               >> %TTINI%
  ECHO TerminalSize=80,34          >> %TTINI%
  ECHO VTFont=Andale Mono,0,-15,0  >> %TTINI%
  ECHO CRReceive=CR                >> %TTINI%
  ECHO CRSend=CR                   >> %TTINI%
  ECHO EnableScrollBuff=on         >> %TTINI%
  ECHO ScrollBuffSize=100          >> %TTINI%
  ECHO ComPort=%AxComPx8R%         >> %TTINI%
  ECHO BaudRate=4800               >> %TTINI%
  ECHO Parity=none                 >> %TTINI%
  ECHO DataBit=8                   >> %TTINI%
  ECHO StopBit=1                   >> %TTINI%
  ECHO FlowCtrl=hard               >> %TTINI%
  ECHO DelayPerChar=0              >> %TTINI%
  ECHO DelayPerLine=0              >> %TTINI%
  ECHO LogDefaultPath=%TTDAT%      >> %TTINI%
  ECHO FileDir=%TTDAT%             >> %TTINI%

  @REM ---------------------------------------------------- connect to TeraTerm
  SET TTPRM=/F=%TTINI%
  %TTEXE% %TTPRM%
  GOTO TT_EXIT

@REM ------------------------------------------------ kill ttmacro and ttermpro
:TT_KILLTT
  TASKKILL /F /IM TTPMACRO.EXE
  TASKKILL /F /IM TTERMPRO.EXE
  GOTO TT_EXIT
 
@REM ------------------------------------------------------ cleanup environment
:TT_EXIT
  DEL %TTINI%

@REM ######################################################### EOF TERATERM.CMD
